idf_component_register(SRCS "ulp_riscv_adc_example_main.c"

 			        "yc_terminal.c"
                            "yc_protocol.c"
                            "yc_paint.c"
                            "esp_ble_ota.c"
                            "user_sleep.c"
                        #     "wait_list.c"
                            "user_time.c"
                        #     "batt_charge.c"
                    INCLUDE_DIRS ""  "." 
                    REQUIRES soc ulp esp_adc 

                    "newlib"
                    "bt"
                    "esp_ble_ota"
                    "EPD"
                                "FONT_LIB"
                                "LORA"
                                "button"
                                "LED"
                                "esp_timer"
                                "USER_SPIFFS"
                                "Decection"
                                #"lvgl"
                                #"mcu_bsdiff_upgrade"
                                "c_linked_list"
                                #"user_ota"
                                "app_update"
                                "esp_event"
                                "bootloader_support"
                                "esp_partition"
                                "nvs_flash"
                                "hal")
#
# ULP support additions to component CMakeLists.txt.
#
# 1. The ULP app name must be unique (if multiple components use ULP).
set(ulp_app_name ulp_${COMPONENT_NAME})
#
# 2. Specify all C and Assembly source files.
#    Files should be placed into a separate directory (in this case, ulp/),
#    which should not be added to COMPONENT_SRCS.
set(ulp_riscv_sources "ulp/main.c")

#
# 3. List all the component source files which include automatically
#    generated ULP export file, ${ulp_app_name}.h:
set(ulp_exp_dep_srcs "ulp_riscv_adc_example_main.c")

#
# 4. Call function to build ULP binary and embed in project using the argument
#    values above.
ulp_embed_binary(${ulp_app_name} "${ulp_riscv_sources}" "${ulp_exp_dep_srcs}")




target_compile_options(${COMPONENT_LIB} PRIVATE -Wno-error)
target_compile_options(${COMPONENT_LIB} PRIVATE -Wno-error=unused-local-typedefs)
